CMSIS-Driver: CAN Bit Timing Codes

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Enumerations
CAN Bit Timing Codes
CAN Control Codes

Set bit timing. More...

## Macros

#define | ARM_CAN_BIT_PROP_SEG(x) (((x) << ARM_CAN_BIT_PROP_SEG_Pos) & ARM_CAN_BIT_PROP_SEG_Msk)
#define | ARM_CAN_BIT_PHASE_SEG1(x) (((x) << ARM_CAN_BIT_PHASE_SEG1_Pos) & ARM_CAN_BIT_PHASE_SEG1_Msk)
#define | ARM_CAN_BIT_PHASE_SEG2(x) (((x) << ARM_CAN_BIT_PHASE_SEG2_Pos) & ARM_CAN_BIT_PHASE_SEG2_Msk)
#define | ARM_CAN_BIT_SJW(x) (((x) << ARM_CAN_BIT_SJW_Pos) & ARM_CAN_BIT_SJW_Msk)

## Enumerations

enum | ARM_CAN_BITRATE_SELECT { ARM_CAN_BITRATE_NOMINAL, ARM_CAN_BITRATE_FD_DATA }
| Set the bit rate. More...

## Description

Set bit timing.

The following codes are used with the function ARM_CAN_SetBitrate.

## Macro Definition Documentation

#define ARM_CAN_BIT_PROP_SEG | ( |  | x | ) | (((x) << ARM_CAN_BIT_PROP_SEG_Pos) & ARM_CAN_BIT_PROP_SEG_Msk)

See Also
  ARM_CAN_SetBitrate

#define ARM_CAN_BIT_PHASE_SEG1 | ( |  | x | ) | (((x) << ARM_CAN_BIT_PHASE_SEG1_Pos) & ARM_CAN_BIT_PHASE_SEG1_Msk)

See Also
  ARM_CAN_SetBitrate

#define ARM_CAN_BIT_PHASE_SEG2 | ( |  | x | ) | (((x) << ARM_CAN_BIT_PHASE_SEG2_Pos) & ARM_CAN_BIT_PHASE_SEG2_Msk)

See Also
  ARM_CAN_SetBitrate

#define ARM_CAN_BIT_SJW | ( |  | x | ) | (((x) << ARM_CAN_BIT_SJW_Pos) & ARM_CAN_BIT_SJW_Msk)

See Also
  ARM_CAN_SetBitrate

## Enumeration Type Documentation

enum ARM_CAN_BITRATE_SELECT

Set the bit rate.

Provides the typedef for setting the bit rate.

Parameter for:

- ARM_CAN_SetBitrate

Enumerator
ARM_CAN_BITRATE_NOMINAL | Select nominal (flexible data-rate arbitration) bitrate.
ARM_CAN_BITRATE_FD_DATA | Select flexible data-rate data bitrate.